classdef const
    properties (Constant)
        % Constants
        eps0 = 8.854187817e-12; % Vacuum permittivity: F/m
        kB = 1.38064852e-23; % Boltzmann constant: J/K
        mp = 1.6726219e-27; % Proton mass: kg
        me = 9.10938356e-31; % Electron mass: kg
        qe = 1.60217662e-19; % Elementary charge: C
        c = 299792458; % Speed of light: m/s

        % Units
        unit_B = 1; % T
        unit_velocity = const.c; % m/s
        unit_time = const.me / (const.qe * const.unit_B); % s
        unit_space = const.unit_velocity * const.unit_time; % m
        unit_numberdensity = 1.0/(const.unit_space^3); % 1/m^3
        unit_frequency = 1.0 / const.unit_time; % Hz

    end
end