function kx = solver(s_list, wav, B, n_bound)
    arguments
        s_list (1,:) species
        wav wave % wav.k_perp is also the initial guess
        B double % magnetic field in T
        n_bound int32 % sum limits for In
    end
    function detM = getDetM(try_kx)
        try_wav = wave(wav.k_para, try_kx, wav.w);
        create_resp = @(s) response(s, try_wav, B, n_bound);
        resp_list = arrayfun(create_resp, s_list);
        tensor = tensors(resp_list, try_wav);
        detM = tensor.detM();
    end
    options = optimset('Display','off','TolFun',1e-16,'Tolx',1e-16);
    kx = fsolve(@getDetM, wav.k_perp, options);
end