classdef species
    %SPECIES a class to store the properties of a species in a plasma
    
    properties
        name % name of the species
        m % mass
        q % charge
        n0 % number density
        T_perp % perpendicular temperature
        T_para % parallel temperature
        wp  % plasma angular frequency
        v_para % parallel thermal velocity
        v_perp % perpendicular thermal velocity
        v0 % plasma drift velocity
    end
    
    methods
        % j stands for the species
        function j = species(name, mass, charge, number_density, T_perp, T_para, v0)
            j.name = name;
            j.m = mass;
            j.q = charge;
            j.n0 = number_density;
            j.T_perp = T_perp;
            j.T_para = T_para;
            j.v0 = v0;

            j.v_para = sqrt(2*const.kB*j.T_para/j.m);
            j.v_perp = sqrt(2*const.kB*j.T_perp/j.m);
            
            j.wp = sqrt(j.n0*j.q^2/(j.m*const.eps0));
        end
    end
    
end