% This function is used to calculate the Z function 
% based on the method presented in https://doi.org/10.1016/j.jqsrt.2019.06.006.

function zres = zfunc(zeta)
    a = real(zeta);
    b = imag(zeta);
    abszeta = abs(zeta);
    if b/abszeta < 1e-6       % case Im(zeta) == 0
        zres = -2*dawson(a) + 1i*sqrt(pi)*exp(-a.^2);
    elseif b>0              % case Im(zeta) > 0
        zres = 1i*sqrt(pi)*exp(-zeta.^2)*(1-erf(-1i*zeta));
    else                    % case Im(zeta) < 0
        zres = 2i*sqrt(pi)*exp(-zeta.^2) + conj(zfunc(conj(zeta)));
    end
end
